org.apache.ignite.internal.processors.cache

## Interface GridCacheManager<K,V>

All Known Subinterfaces:
  CacheConflictResolutionManager<K,V>, CacheStoreManager<K,V>, GridCacheDrManager

All Known Implementing Classes:
  CacheContinuousQueryManager, CacheDataStructuresManager, CacheOsConflictResolutionManager, CacheOsStoreManager, CachePluginManager, GridCacheAffinityManager, GridCacheDistributedQueryManager, GridCacheEventManager, GridCacheEvictionManager, GridCacheLocalQueryManager, GridCacheManagerAdapter, GridCacheQueryManager, GridCacheStoreManagerAdapter, GridCacheSwapManager, GridCacheTtlManager, GridOsCacheDrManager

    public interface GridCacheManager<K,V>

Interface for cache managers.

### Method Summary

Methods
`void` `onDisconnected(IgniteFuture<?> reconnectFut)`
`void` `onKernalStart()`
`void` `onKernalStop(boolean cancel)`
`void` `printMemoryStats()` Prints memory statistics (sizes of internal data structures, etc.).
`void` `start(GridCacheContext<K,V> cctx)` Starts manager.
`void` `stop(boolean cancel)` Stops manager.

### Method Detail

#### start

    void start(GridCacheContext<K,V> cctx)
               throws IgniteCheckedException

Starts manager.

Parameters:
  `cctx` - Context.
Throws:
  `IgniteCheckedException` - If failed.

#### stop

    void stop(boolean cancel)

Stops manager.

Parameters:
  `cancel` - Cancel flag.

#### onKernalStart

    void onKernalStart()
                       throws IgniteCheckedException

Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStop

    void onKernalStop(boolean cancel)

Parameters:
  `cancel` - Cancel flag.

#### onDisconnected

    void onDisconnected(IgniteFuture<?> reconnectFut)

Parameters:
  `reconnectFut` - Reconnect future.

#### printMemoryStats

    void printMemoryStats()

Prints memory statistics (sizes of internal data structures, etc.). NOTE: this method is for testing and profiling purposes only.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016